<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version='1.0'>
<xsl:output method="text" version="1.0" encoding="UTF-8"/>

<xsl:template match="/">
    <xsl:apply-templates select="/testsuite/testcase"/>
    <xsl:apply-templates select="/testsuite/testsummary">
        <xsl:with-param name="name"><xsl:value-of select="/testsuite/@name"/></xsl:with-param>
    </xsl:apply-templates>
</xsl:template>

<xsl:template match="testcase">
    <xsl:text>Command: </xsl:text>
    <xsl:copy-of select="command"/><xsl:text>
Expected result: </xsl:text>
    <xsl:copy-of select="expected"/>
<xsl:text>Output:
</xsl:text>
    <xsl:copy-of select="output"/>
    <xsl:if test="@good = 'false'">
        <xsl:text>NOT </xsl:text>
    </xsl:if>
    <xsl:text>OK

</xsl:text>
</xsl:template>

<xsl:template match="testsummary">
    <xsl:param name="name"/>
    <xsl:text>There were </xsl:text>
    <xsl:value-of select="@all"/>
    <xsl:text> test for '</xsl:text>
    <xsl:value-of select="$name"/>
    <xsl:text>': Success: </xsl:text>
    <xsl:value-of select="@good"/>
    <xsl:text>, Errors: </xsl:text>
    <xsl:value-of select="@error"/><xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>
